Loading...
Searching...
No Matches
FUNC Struct Reference

`#include <csoundCore.h>`

## Data Fields

uint32_t | flen
| table length, not including the guard point
int32 | lenmask
| length mask ( = flen - 1) for power of two table size, 0 otherwise
int32 | lobits
| log2(MAXLEN / flen) for power of two table size, 0 otherwise
int32 | lomask
| 2^lobits - 1
MYFLT | lodiv
| 1 / 2^lobits
MYFLT | cvtbas
| LOFACT * (table_sr / orch_sr), cpscvt = cvtbas / base_freq.
MYFLT | cpscvt
int16 | loopmode1
| sustain loop mode (0: none, 1: forward, 2: forward and backward)
int16 | loopmode2
| release loop mode (0: none, 1: forward, 2: forward and backward)
int32 | begin1
| sustain loop start and end in sample frames
int32 | end1
int32 | begin2
| release loop start and end in sample frames
int32 | end2
int32 | soundend
| sound file length in sample frames (flenfrms = soundend - 1)
int32 | flenfrms
int32 | nchanls
| number of channels
int32 | fno
| table number
MYFLT | args [PMAX - 4]
| args
int | argcnt
| arg count
GEN01ARGS | gen01args
| GEN01 parameters.
MYFLT * | ftable
| table data (flen + 1 MYFLT values)

## Field Documentation

## argcnt

int FUNC::argcnt

arg count

## args

MYFLT FUNC::args[PMAX - 4]

args

## begin1

int32 FUNC::begin1

sustain loop start and end in sample frames

## begin2

int32 FUNC::begin2

release loop start and end in sample frames

## cpscvt

MYFLT FUNC::cpscvt

## cvtbas

MYFLT FUNC::cvtbas

LOFACT * (table_sr / orch_sr), cpscvt = cvtbas / base_freq.

## end1

int32 FUNC::end1

## end2

int32 FUNC::end2

## flen

uint32_t FUNC::flen

table length, not including the guard point

## flenfrms

int32 FUNC::flenfrms

## fno

int32 FUNC::fno

table number

## ftable

MYFLT* FUNC::ftable

table data (flen + 1 MYFLT values)

## gen01args

GEN01ARGS FUNC::gen01args

GEN01 parameters.

## lenmask

int32 FUNC::lenmask

length mask ( = flen - 1) for power of two table size, 0 otherwise

## lobits

int32 FUNC::lobits

log2(MAXLEN / flen) for power of two table size, 0 otherwise

## lodiv

MYFLT FUNC::lodiv

1 / 2^lobits

## lomask

int32 FUNC::lomask

2^lobits - 1

## loopmode1

int16 FUNC::loopmode1

sustain loop mode (0: none, 1: forward, 2: forward and backward)

## loopmode2

int16 FUNC::loopmode2

release loop mode (0: none, 1: forward, 2: forward and backward)

## nchanls

int32 FUNC::nchanls

number of channels

## soundend

int32 FUNC::soundend

sound file length in sample frames (flenfrms = soundend - 1)